Переполнение буфера в newsx в Fedora и Debian

Дата публикации:
16.07.2008
Дата изменения:
31.07.2008
Всего просмотров:
1047
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Fedora 8
Fedora 9
Debian GNU/Linux 4.0
Debian GNU/Linux unstable alias sid
Уязвимые версии:
Fedora 8, 9
Debian GNU/Linux 4.0
Debian GNU/Linux unstable alias sid

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "read_article()" в файле src/getarticle.c. Удаленный пользователь может с помощью специально сформированного NNTP пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: fedoraproject.org

Решение: Установите исправление с сайта производителя.

Журнал изменений:

31.07.2008
Изменена секция «Программа», добавлен Debian Linux

Ссылки: Fedora 8 Update: newsx-1.6-8.fc8
Fedora 9 Update: newsx-1.6-9.fc9
https://bugzilla.redhat.com/show_bug.cgi?id=454483

или введите имя

CAPTCHA